Package: groovy.util

## [Java] Class OrderBy<T>

- groovy.util.OrderBy

- All Implemented Interfaces and Traits:
    Comparator

      public class OrderBy
      extends Object

  A helper class for sorting objects via a closure to return the field or operation on which to sort.

  Authors:
    James Strachan
  Version:
    \$Revision\$

- - ### Constructor Summary

    Constructors
    Constructor and description
    `OrderBy ()`
    `OrderBy (Closure closure)`
    `OrderBy (List<Closure> closures)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `add(Closure closure)`
    `int` | `compare(T object1, T object2)`
    `boolean` | `isEqualityCheck()`
    `void` | `setEqualityCheck(boolean equalityCheck)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public OrderBy()

    - #### public OrderBy(Closure closure)

    - #### public OrderBy(List<Closure> closures)

  - ### Method Detail

    - #### public void add(Closure closure)

    - #### public int compare(T object1, T object2)

    - #### public boolean isEqualityCheck()

    - #### public void setEqualityCheck(boolean equalityCheck)